Subject: bug#17386: 24.3.90; emacs_abort in cmcheckmagic

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 May 2014 19:17:23 +0300

> Date: Fri, 02 May 2014 18:00:23 +0200
> From: Nicolas Richard <[email-masked]>
> CC: [email-masked]
> 
> Le 02/05/2014 17:42, Eli Zaretskii a écrit :
> >> From: Nicolas Richard <[email-masked]>
> >> Cc: Nicolas Richard <[email-masked]>,  [email-masked]
> >> Date: Fri, 02 May 2014 17:17:49 +0200
> >> 
> >> > The code that crashed redraws the entire frame, not a single window
> >> > (TTY redrawing always works like that).  So the size that matters is
> >> > the size of the entire frame, including the menu bar (if present), the
> >> > mode line, and the minibuffer window/echo area, not the maximum size
> >> > you can give to your buffer windows.
> >> 
> >> Then you should add 2 to the numbers I gave (one for the modeline, one
> >> for the echo area -- I don't display menus)
> > 
> > That'd be strange, since FrameRows returned 23, not 24.
> 
> Perhaps it was counting lines in the frame that lived in tmux-over-gdb
> (tmux uses one line). Would that make sense ?

Sorry, I have no idea what tmux-over-gdb can do to that.  I'd be
surprised if it changed Emacs's idea of screen dimensions, though.